/*===========================================================================*/
/*   (Expand/srfi-0.scm)                                                     */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Expand/srfi-0.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzexpand_srfizd20zd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_registerzd2srfiz12zc0zzexpand_srfizd20zd2(obj_t);
static obj_t BGl_za2srfizd2listza2zd2zzexpand_srfizd20zd2 = BUNSPEC;
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t, obj_t);
BGL_IMPORT obj_t string_to_symbol(char *);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_expandzd2condzd2expandzd2andzd2zzexpand_srfizd20zd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__registerzd2srfiz12zc0zzexpand_srfizd20zd2(obj_t, obj_t);
static obj_t BGl__expandzd2condzd2expandz00zzexpand_srfizd20zd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzexpand_srfizd20zd2();
static obj_t BGl_evalzd2initzd2zzexpand_srfizd20zd2();
BGL_IMPORT obj_t c_substring(obj_t, int, int);
static obj_t BGl_expandzd2condzd2expandzd2orzd2zzexpand_srfizd20zd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzexpand_srfizd20zd2();
static obj_t BGl_requirezd2initializa7ationz75zzexpand_srfizd20zd2 = BUNSPEC;
extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
static obj_t BGl__addzd2supportedzd2srfiz121626z12zzexpand_srfizd20zd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_expandzd2condzd2expandz00zzexpand_srfizd20zd2(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_srfizd20zd2();
static obj_t BGl_toplevelzd2initzd2zzexpand_srfizd20zd2();
BGL_EXPORTED_DECL obj_t BGl_addzd2supportedzd2srfiz12z12zzexpand_srfizd20zd2(obj_t);
static obj_t __cnst[ 18 ] ;


DEFINE_STATIC_PROCEDURE( BGl_registerzd2srfiz12zd2envz12zzexpand_srfizd20zd2, BgL_bgl__registerza7d2srfiza712za7c0za7za7expand_srfiza7d20za7d21681za7, BGl__registerzd2srfiz12zc0zzexpand_srfizd20zd2, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2condzd2expandzd2envzd2zzexpand_srfizd20zd2, BgL_bgl__expandza7d2condza7d2expandza700za7za7expand_srfiza7d20za7d21682za7, BGl__expandzd2condzd2expandz00zzexpand_srfizd20zd2, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_addzd2supportedzd2srfiz12zd2envzc0zzexpand_srfizd20zd2, BgL_bgl__addza7d2supportedza7d2srfiza7121626za712za7za7expand_srfiza7d20za7d21683z00, BGl__addzd2supportedzd2srfiz121626z12zzexpand_srfizd20zd2, 0L, 1 );
DEFINE_STRING( BGl_string1653z00zzexpand_srfizd20zd2, BgL_bgl_string1653za700za7za7expand_srfiza7d20za7d21684za7, "register-srfi! let body not or and else cond-expand begin srfi-30 srfi-28 srfi-22 srfi-9 srfi-8 srfi-6 srfi-2 srfi-0 bigloo ", 124 );
DEFINE_STRING( BGl_string1652z00zzexpand_srfizd20zd2, BgL_bgl_string1652za700za7za7expand_srfiza7d20za7d21685za7, "Illegal form", 12 );
DEFINE_STRING( BGl_string1651z00zzexpand_srfizd20zd2, BgL_bgl_string1651za700za7za7expand_srfiza7d20za7d21686za7, "cond-expand", 11 );
DEFINE_STRING( BGl_string1650z00zzexpand_srfizd20zd2, BgL_bgl_string1650za700za7za7expand_srfiza7d20za7d21687za7, "Illegal srfi argument", 21 );
DEFINE_STRING( BGl_string1649z00zzexpand_srfizd20zd2, BgL_bgl_string1649za700za7za7expand_srfiza7d20za7d21688za7, "register-srfi!", 14 );
DEFINE_STRING( BGl_string1648z00zzexpand_srfizd20zd2, BgL_bgl_string1648za700za7za7expand_srfiza7d20za7d21689za7, "bigloo", 6 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_srfizd20zd2(long BgL_checksumz00_426, char * BgL_fromz00_427)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzexpand_srfizd20zd2))
{ 
BGl_requirezd2initializa7ationz75zzexpand_srfizd20zd2 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzexpand_srfizd20zd2(); 
BGl_cnstzd2initzd2zzexpand_srfizd20zd2(); 
BGl_importedzd2moduleszd2initz00zzexpand_srfizd20zd2(); 
BGl_evalzd2initzd2zzexpand_srfizd20zd2(); 
BGl_toplevelzd2initzd2zzexpand_srfizd20zd2(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzexpand_srfizd20zd2()
{ AN_OBJECT;
{ /* ./Expand/srfi-0.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "expand_srfi-0"); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)0), "expand_srfi-0"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "expand_srfi-0"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "expand_srfi-0"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzexpand_srfizd20zd2()
{ AN_OBJECT;
{ /* ./Expand/srfi-0.scm 15 */
{ /* ./Expand/srfi-0.scm 15 */
obj_t BgL_cportz00_419;
BgL_cportz00_419 = 
open_input_string(BGl_string1653z00zzexpand_srfizd20zd2); 
{ 
long BgL_iz00_420;
BgL_iz00_420 = ((long)17); 
BgL_loopz00_421:
{ /* ./Expand/srfi-0.scm 15 */
bool_t BgL_test1655z00_422;
BgL_test1655z00_422 = 
(BgL_iz00_420==((long)-1)); 
if(BgL_test1655z00_422)
{ /* ./Expand/srfi-0.scm 15 */
return BUNSPEC;}  else 
{ /* ./Expand/srfi-0.scm 15 */
{ /* ./Expand/srfi-0.scm 15 */
obj_t BgL_arg1657z00_423;
{ /* ./Expand/srfi-0.scm 15 */
obj_t BgL_list1660z00_424;
BgL_list1660z00_424 = 
MAKE_PAIR(BgL_cportz00_419, BNIL); 
BgL_arg1657z00_423 = 
BGl_readz00zz__readerz00(BgL_list1660z00_424); } 
{ /* ./Expand/srfi-0.scm 15 */
int BgL_auxz00_445;
BgL_auxz00_445 = 
(int)(BgL_iz00_420); 
CNST_TABLE_SET(BgL_auxz00_445, BgL_arg1657z00_423); } } 
{ /* ./Expand/srfi-0.scm 15 */
int BgL_auxz00_425;
{ /* ./Expand/srfi-0.scm 15 */
long BgL_auxz00_448;
BgL_auxz00_448 = 
(BgL_iz00_420-((long)1)); 
BgL_auxz00_425 = 
(int)(BgL_auxz00_448); } 
{ 
long BgL_iz00_451;
BgL_iz00_451 = 
(long)(BgL_auxz00_425); 
BgL_iz00_420 = BgL_iz00_451; 
goto BgL_loopz00_421;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzexpand_srfizd20zd2()
{ AN_OBJECT;
{ /* ./Expand/srfi-0.scm 15 */
{ /* ./Expand/srfi-0.scm 42 */
obj_t BgL_bglzd2majorzd2_19;obj_t BgL_bglzd2versionzd2_20;
{ /* ./Expand/srfi-0.scm 42 */
obj_t BgL_arg1054z00_44;
{ /* ./Expand/srfi-0.scm 44 */
long BgL_arg1059z00_46;
{ /* ./Expand/srfi-0.scm 46 */
int BgL_arg1064z00_47;
{ /* ./Expand/srfi-0.scm 46 */
obj_t BgL_stringz00_288;
BgL_stringz00_288 = BGl_za2bigloozd2versionza2zd2zzengine_paramz00; 
BgL_arg1064z00_47 = 
STRING_LENGTH(BgL_stringz00_288); } 
{ /* ./Expand/srfi-0.scm 46 */
long BgL_auxz00_454;
BgL_auxz00_454 = 
(long)(BgL_arg1064z00_47); 
BgL_arg1059z00_46 = 
(BgL_auxz00_454-((long)1)); } } 
{ /* ./Expand/srfi-0.scm 44 */
obj_t BgL_stringz00_291;int BgL_startz00_292;int BgL_endz00_293;
BgL_stringz00_291 = BGl_za2bigloozd2versionza2zd2zzengine_paramz00; 
BgL_startz00_292 = 
(int)(((long)0)); 
BgL_endz00_293 = 
(int)(BgL_arg1059z00_46); 
BgL_arg1054z00_44 = 
c_substring(BgL_stringz00_291, BgL_startz00_292, BgL_endz00_293); } } 
BgL_bglzd2majorzd2_19 = 
string_append(BGl_string1648z00zzexpand_srfizd20zd2, BgL_arg1054z00_44); } 
BgL_bglzd2versionzd2_20 = 
string_append(BGl_string1648z00zzexpand_srfizd20zd2, BGl_za2bigloozd2versionza2zd2zzengine_paramz00); 
{ /* ./Expand/srfi-0.scm 48 */
obj_t BgL_arg1004z00_21;obj_t BgL_arg1005z00_22;obj_t BgL_arg1006z00_23;obj_t BgL_arg1007z00_24;obj_t BgL_arg1008z00_25;obj_t BgL_arg1009z00_26;obj_t BgL_arg1010z00_27;obj_t BgL_arg1011z00_28;obj_t BgL_arg1012z00_29;obj_t BgL_arg1013z00_30;obj_t BgL_arg1014z00_31;
{ /* ./Expand/srfi-0.scm 48 */
char * BgL_auxz00_462;
BgL_auxz00_462 = 
BSTRING_TO_STRING(BgL_bglzd2majorzd2_19); 
BgL_arg1004z00_21 = 
string_to_symbol(BgL_auxz00_462); } 
{ /* ./Expand/srfi-0.scm 49 */
char * BgL_auxz00_465;
BgL_auxz00_465 = 
BSTRING_TO_STRING(BgL_bglzd2versionzd2_20); 
BgL_arg1005z00_22 = 
string_to_symbol(BgL_auxz00_465); } 
BgL_arg1006z00_23 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1007z00_24 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1008z00_25 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1009z00_26 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg1010z00_27 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg1011z00_28 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg1012z00_29 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg1013z00_30 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg1014z00_31 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Expand/srfi-0.scm 48 */
obj_t BgL_list1016z00_32;
{ /* ./Expand/srfi-0.scm 48 */
obj_t BgL_arg1018z00_33;
{ /* ./Expand/srfi-0.scm 48 */
obj_t BgL_arg1021z00_34;
{ /* ./Expand/srfi-0.scm 48 */
obj_t BgL_arg1024z00_35;
{ /* ./Expand/srfi-0.scm 48 */
obj_t BgL_arg1028z00_36;
{ /* ./Expand/srfi-0.scm 48 */
obj_t BgL_arg1031z00_37;
{ /* ./Expand/srfi-0.scm 48 */
obj_t BgL_arg1034z00_38;
{ /* ./Expand/srfi-0.scm 48 */
obj_t BgL_arg1037z00_39;
{ /* ./Expand/srfi-0.scm 48 */
obj_t BgL_arg1041z00_40;
{ /* ./Expand/srfi-0.scm 48 */
obj_t BgL_arg1044z00_41;
{ /* ./Expand/srfi-0.scm 48 */
obj_t BgL_arg1047z00_42;
BgL_arg1047z00_42 = 
MAKE_PAIR(BgL_arg1014z00_31, BNIL); 
BgL_arg1044z00_41 = 
MAKE_PAIR(BgL_arg1013z00_30, BgL_arg1047z00_42); } 
BgL_arg1041z00_40 = 
MAKE_PAIR(BgL_arg1012z00_29, BgL_arg1044z00_41); } 
BgL_arg1037z00_39 = 
MAKE_PAIR(BgL_arg1011z00_28, BgL_arg1041z00_40); } 
BgL_arg1034z00_38 = 
MAKE_PAIR(BgL_arg1010z00_27, BgL_arg1037z00_39); } 
BgL_arg1031z00_37 = 
MAKE_PAIR(BgL_arg1009z00_26, BgL_arg1034z00_38); } 
BgL_arg1028z00_36 = 
MAKE_PAIR(BgL_arg1008z00_25, BgL_arg1031z00_37); } 
BgL_arg1024z00_35 = 
MAKE_PAIR(BgL_arg1007z00_24, BgL_arg1028z00_36); } 
BgL_arg1021z00_34 = 
MAKE_PAIR(BgL_arg1006z00_23, BgL_arg1024z00_35); } 
BgL_arg1018z00_33 = 
MAKE_PAIR(BgL_arg1005z00_22, BgL_arg1021z00_34); } 
BgL_list1016z00_32 = 
MAKE_PAIR(BgL_arg1004z00_21, BgL_arg1018z00_33); } 
return ( 
BGl_za2srfizd2listza2zd2zzexpand_srfizd20zd2 = BgL_list1016z00_32, BUNSPEC) ;} } } } 
}



/* add-supported-srfi! */
BGL_EXPORTED_DEF obj_t BGl_addzd2supportedzd2srfiz12z12zzexpand_srfizd20zd2(obj_t BgL_srfiz00_1)
{ AN_OBJECT;
{ /* ./Expand/srfi-0.scm 63 */
return ( 
BGl_za2srfizd2listza2zd2zzexpand_srfizd20zd2 = 
MAKE_PAIR(BgL_srfiz00_1, BGl_za2srfizd2listza2zd2zzexpand_srfizd20zd2), BUNSPEC) ;} 
}



/* _add-supported-srfi!1626 */
obj_t BGl__addzd2supportedzd2srfiz121626z12zzexpand_srfizd20zd2(obj_t BgL_envz00_412, obj_t BgL_srfiz00_413)
{ AN_OBJECT;
{ /* ./Expand/srfi-0.scm 63 */
return 
BGl_addzd2supportedzd2srfiz12z12zzexpand_srfizd20zd2(BgL_srfiz00_413);} 
}



/* register-srfi! */
obj_t BGl_registerzd2srfiz12zc0zzexpand_srfizd20zd2(obj_t BgL_srfiz00_2)
{ AN_OBJECT;
{ /* ./Expand/srfi-0.scm 69 */
{ /* ./Expand/srfi-0.scm 70 */
bool_t BgL_test1070z00_49;
BgL_test1070z00_49 = 
SYMBOLP(BgL_srfiz00_2); 
if(BgL_test1070z00_49)
{ /* ./Expand/srfi-0.scm 70 */
return ( 
BGl_za2srfizd2listza2zd2zzexpand_srfizd20zd2 = 
MAKE_PAIR(BgL_srfiz00_2, BGl_za2srfizd2listza2zd2zzexpand_srfizd20zd2), BUNSPEC) ;}  else 
{ /* ./Expand/srfi-0.scm 70 */
FAILURE(BGl_string1649z00zzexpand_srfizd20zd2,BGl_string1650z00zzexpand_srfizd20zd2,BgL_srfiz00_2);} } } 
}



/* _register-srfi! */
obj_t BGl__registerzd2srfiz12zc0zzexpand_srfizd20zd2(obj_t BgL_envz00_414, obj_t BgL_srfiz00_415)
{ AN_OBJECT;
{ /* ./Expand/srfi-0.scm 69 */
return 
BGl_registerzd2srfiz12zc0zzexpand_srfizd20zd2(BgL_srfiz00_415);} 
}



/* expand-cond-expand */
BGL_EXPORTED_DEF obj_t BGl_expandzd2condzd2expandz00zzexpand_srfizd20zd2(obj_t BgL_xz00_3, obj_t BgL_ez00_4)
{ AN_OBJECT;
{ /* ./Expand/srfi-0.scm 78 */
{ 
obj_t BgL_clausez00_51;obj_t BgL_elsez00_52;
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1074z00_56;
BgL_test1074z00_56 = 
PAIRP(BgL_xz00_3); 
if(BgL_test1074z00_56)
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1076z00_57;
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_auxz00_499;obj_t BgL_auxz00_497;
BgL_auxz00_499 = 
CNST_TABLE_REF(((long)10)); 
BgL_auxz00_497 = 
CAR(BgL_xz00_3); 
BgL_test1076z00_57 = 
(BgL_auxz00_497==BgL_auxz00_499); } 
if(BgL_test1076z00_57)
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1077z00_58;
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_auxz00_503;
BgL_auxz00_503 = 
CDR(BgL_xz00_3); 
BgL_test1077z00_58 = 
NULLP(BgL_auxz00_503); } 
if(BgL_test1077z00_58)
{ /* ./Expand/srfi-0.scm 79 */
FAILURE(BGl_string1651z00zzexpand_srfizd20zd2,BGl_string1652z00zzexpand_srfizd20zd2,BgL_xz00_3);}  else 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_cdrzd2114zd2_59;
BgL_cdrzd2114zd2_59 = 
CDR(BgL_xz00_3); 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1079z00_60;
BgL_test1079z00_60 = 
PAIRP(BgL_cdrzd2114zd2_59); 
if(BgL_test1079z00_60)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1081z00_61;obj_t BgL_arg1084z00_62;
BgL_arg1081z00_61 = 
CAR(BgL_cdrzd2114zd2_59); 
BgL_arg1084z00_62 = 
CDR(BgL_cdrzd2114zd2_59); 
BgL_clausez00_51 = BgL_arg1081z00_61; 
BgL_elsez00_52 = BgL_arg1084z00_62; 
BgL_tagzd2102zd2_53:
{ 
obj_t BgL_featurez00_95;obj_t BgL_bodyz00_96;obj_t BgL_reqz00_92;obj_t BgL_bodyz00_93;obj_t BgL_req1z00_84;obj_t BgL_bodyz00_85;obj_t BgL_bodyz00_82;obj_t BgL_req1z00_74;obj_t BgL_bodyz00_75;obj_t BgL_bodyz00_72;obj_t BgL_bodyz00_70;
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1113z00_100;
BgL_test1113z00_100 = 
PAIRP(BgL_clausez00_51); 
if(BgL_test1113z00_100)
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1114z00_101;
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_auxz00_517;obj_t BgL_auxz00_515;
BgL_auxz00_517 = 
CNST_TABLE_REF(((long)11)); 
BgL_auxz00_515 = 
CAR(BgL_clausez00_51); 
BgL_test1114z00_101 = 
(BgL_auxz00_515==BgL_auxz00_517); } 
if(BgL_test1114z00_101)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1117z00_102;
BgL_arg1117z00_102 = 
CDR(BgL_clausez00_51); 
BgL_bodyz00_70 = BgL_arg1117z00_102; 
{ /* ./Expand/srfi-0.scm 85 */
bool_t BgL_test1328z00_184;
BgL_test1328z00_184 = 
NULLP(BgL_elsez00_52); 
if(BgL_test1328z00_184)
{ /* ./Expand/srfi-0.scm 86 */
obj_t BgL_arg1330z00_185;
{ /* ./Expand/srfi-0.scm 86 */
obj_t BgL_arg1333z00_186;
{ /* ./Expand/srfi-0.scm 86 */
obj_t BgL_arg1336z00_187;obj_t BgL_arg1337z00_188;
BgL_arg1336z00_187 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1337z00_188 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bodyz00_70, BNIL); 
BgL_arg1333z00_186 = 
MAKE_PAIR(BgL_arg1336z00_187, BgL_arg1337z00_188); } 
BgL_arg1330z00_185 = 
BGl_epairifyz00zztools_miscz00(BgL_arg1333z00_186, BgL_xz00_3); } 
return 
PROCEDURE_ENTRY(BgL_ez00_4)(BgL_ez00_4, BgL_arg1330z00_185, BgL_ez00_4, BEOA);}  else 
{ /* ./Expand/srfi-0.scm 85 */
FAILURE(BGl_string1651z00zzexpand_srfizd20zd2,BGl_string1652z00zzexpand_srfizd20zd2,BgL_xz00_3);} } }  else 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_carzd2165zd2_103;
BgL_carzd2165zd2_103 = 
CAR(BgL_clausez00_51); 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1120z00_104;
BgL_test1120z00_104 = 
PAIRP(BgL_carzd2165zd2_103); 
if(BgL_test1120z00_104)
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1121z00_105;
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_auxz00_536;obj_t BgL_auxz00_534;
BgL_auxz00_536 = 
CNST_TABLE_REF(((long)12)); 
BgL_auxz00_534 = 
CAR(BgL_carzd2165zd2_103); 
BgL_test1121z00_105 = 
(BgL_auxz00_534==BgL_auxz00_536); } 
if(BgL_test1121z00_105)
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1122z00_106;
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_auxz00_540;
BgL_auxz00_540 = 
CDR(BgL_carzd2165zd2_103); 
BgL_test1122z00_106 = 
NULLP(BgL_auxz00_540); } 
if(BgL_test1122z00_106)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1124z00_107;
BgL_arg1124z00_107 = 
CDR(BgL_clausez00_51); 
BgL_bodyz00_72 = BgL_arg1124z00_107; 
{ /* ./Expand/srfi-0.scm 89 */
obj_t BgL_arg1343z00_189;
{ /* ./Expand/srfi-0.scm 89 */
obj_t BgL_arg1346z00_190;
{ /* ./Expand/srfi-0.scm 89 */
obj_t BgL_arg1349z00_191;obj_t BgL_arg1352z00_192;
BgL_arg1349z00_191 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1352z00_192 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bodyz00_72, BNIL); 
BgL_arg1346z00_190 = 
MAKE_PAIR(BgL_arg1349z00_191, BgL_arg1352z00_192); } 
BgL_arg1343z00_189 = 
BGl_epairifyz00zztools_miscz00(BgL_arg1346z00_190, BgL_xz00_3); } 
return 
PROCEDURE_ENTRY(BgL_ez00_4)(BgL_ez00_4, BgL_arg1343z00_189, BgL_ez00_4, BEOA);} }  else 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_cdrzd2182zd2_108;
BgL_cdrzd2182zd2_108 = 
CDR(BgL_carzd2165zd2_103); 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1127z00_109;
BgL_test1127z00_109 = 
PAIRP(BgL_cdrzd2182zd2_108); 
if(BgL_test1127z00_109)
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1128z00_110;
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_auxz00_554;
BgL_auxz00_554 = 
CDR(BgL_cdrzd2182zd2_108); 
BgL_test1128z00_110 = 
NULLP(BgL_auxz00_554); } 
if(BgL_test1128z00_110)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1130z00_111;obj_t BgL_arg1131z00_112;
BgL_arg1130z00_111 = 
CAR(BgL_cdrzd2182zd2_108); 
BgL_arg1131z00_112 = 
CDR(BgL_clausez00_51); 
BgL_req1z00_74 = BgL_arg1130z00_111; 
BgL_bodyz00_75 = BgL_arg1131z00_112; 
{ /* ./Expand/srfi-0.scm 91 */
obj_t BgL_arg1356z00_193;
{ /* ./Expand/srfi-0.scm 91 */
obj_t BgL_arg1359z00_194;
{ /* ./Expand/srfi-0.scm 91 */
obj_t BgL_arg1362z00_195;obj_t BgL_arg1363z00_196;
BgL_arg1362z00_195 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Expand/srfi-0.scm 92 */
obj_t BgL_arg1366z00_197;obj_t BgL_arg1368z00_198;
{ /* ./Expand/srfi-0.scm 92 */
obj_t BgL_arg1371z00_199;
BgL_arg1371z00_199 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bodyz00_75, BNIL); 
BgL_arg1366z00_197 = 
MAKE_PAIR(BgL_req1z00_74, BgL_arg1371z00_199); } 
BgL_arg1368z00_198 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_elsez00_52, BNIL); 
BgL_arg1363z00_196 = 
MAKE_PAIR(BgL_arg1366z00_197, BgL_arg1368z00_198); } 
BgL_arg1359z00_194 = 
MAKE_PAIR(BgL_arg1362z00_195, BgL_arg1363z00_196); } 
BgL_arg1356z00_193 = 
BGl_epairifyz00zztools_miscz00(BgL_arg1359z00_194, BgL_xz00_3); } 
return 
PROCEDURE_ENTRY(BgL_ez00_4)(BgL_ez00_4, BgL_arg1356z00_193, BgL_ez00_4, BEOA);} }  else 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_cdrzd2206zd2_113;
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_auxz00_569;
BgL_auxz00_569 = 
CAR(BgL_clausez00_51); 
BgL_cdrzd2206zd2_113 = 
CDR(BgL_auxz00_569); } 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_cdrzd2212zd2_114;
BgL_cdrzd2212zd2_114 = 
CDR(BgL_cdrzd2206zd2_113); 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1135z00_115;
BgL_test1135z00_115 = 
PAIRP(BgL_cdrzd2212zd2_114); 
if(BgL_test1135z00_115)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1137z00_116;obj_t BgL_arg1138z00_117;obj_t BgL_arg1140z00_118;obj_t BgL_arg1141z00_119;
BgL_arg1137z00_116 = 
CAR(BgL_cdrzd2206zd2_113); 
BgL_arg1138z00_117 = 
CAR(BgL_cdrzd2212zd2_114); 
BgL_arg1140z00_118 = 
CDR(BgL_cdrzd2212zd2_114); 
BgL_arg1141z00_119 = 
CDR(BgL_clausez00_51); 
return 
BGl_expandzd2condzd2expandzd2andzd2zzexpand_srfizd20zd2(BgL_xz00_3, BgL_ez00_4, BgL_arg1137z00_116, BgL_arg1138z00_117, BgL_arg1140z00_118, BgL_arg1141z00_119, BgL_elsez00_52);}  else 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_carzd2256zd2_120;
BgL_carzd2256zd2_120 = 
CAR(BgL_clausez00_51); 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1147z00_121;
BgL_test1147z00_121 = 
SYMBOLP(BgL_carzd2256zd2_120); 
if(BgL_test1147z00_121)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1149z00_122;
BgL_arg1149z00_122 = 
CDR(BgL_clausez00_51); 
BgL_featurez00_95 = BgL_carzd2256zd2_120; 
BgL_bodyz00_96 = BgL_arg1149z00_122; 
BgL_tagzd2145zd2_97:
{ /* ./Expand/srfi-0.scm 115 */
obj_t BgL_arg1454z00_226;
{ /* ./Expand/srfi-0.scm 115 */
obj_t BgL_arg1457z00_227;
{ /* ./Expand/srfi-0.scm 115 */
bool_t BgL_test1459z00_228;
{ /* ./Expand/srfi-0.scm 115 */
obj_t BgL_auxz00_584;
BgL_auxz00_584 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_featurez00_95, BGl_za2srfizd2listza2zd2zzexpand_srfizd20zd2); 
BgL_test1459z00_228 = 
CBOOL(BgL_auxz00_584); } 
if(BgL_test1459z00_228)
{ /* ./Expand/srfi-0.scm 116 */
obj_t BgL_arg1461z00_229;obj_t BgL_arg1463z00_230;
BgL_arg1461z00_229 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1463z00_230 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bodyz00_96, BNIL); 
BgL_arg1457z00_227 = 
MAKE_PAIR(BgL_arg1461z00_229, BgL_arg1463z00_230); }  else 
{ /* ./Expand/srfi-0.scm 117 */
obj_t BgL_arg1468z00_231;obj_t BgL_arg1470z00_232;
BgL_arg1468z00_231 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg1470z00_232 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_elsez00_52, BNIL); 
BgL_arg1457z00_227 = 
MAKE_PAIR(BgL_arg1468z00_231, BgL_arg1470z00_232); } } 
BgL_arg1454z00_226 = 
BGl_epairifyz00zztools_miscz00(BgL_arg1457z00_227, BgL_xz00_3); } 
return 
PROCEDURE_ENTRY(BgL_ez00_4)(BgL_ez00_4, BgL_arg1454z00_226, BgL_ez00_4, BEOA);} }  else 
{ /* ./Expand/srfi-0.scm 79 */
BgL_tagzd2146zd2_98:
FAILURE(BGl_string1651z00zzexpand_srfizd20zd2,BGl_string1652z00zzexpand_srfizd20zd2,BgL_xz00_3);} } } } } } }  else 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_carzd2306zd2_125;
BgL_carzd2306zd2_125 = 
CAR(BgL_clausez00_51); 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1165z00_126;
BgL_test1165z00_126 = 
SYMBOLP(BgL_carzd2306zd2_125); 
if(BgL_test1165z00_126)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1169z00_127;
BgL_arg1169z00_127 = 
CDR(BgL_clausez00_51); 
{ 
obj_t BgL_bodyz00_603;obj_t BgL_featurez00_602;
BgL_featurez00_602 = BgL_carzd2306zd2_125; 
BgL_bodyz00_603 = BgL_arg1169z00_127; 
BgL_bodyz00_96 = BgL_bodyz00_603; 
BgL_featurez00_95 = BgL_featurez00_602; 
goto BgL_tagzd2145zd2_97;} }  else 
{ /* ./Expand/srfi-0.scm 79 */
goto BgL_tagzd2146zd2_98;} } } } } }  else 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1185z00_131;
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_auxz00_606;obj_t BgL_auxz00_604;
BgL_auxz00_606 = 
CNST_TABLE_REF(((long)13)); 
BgL_auxz00_604 = 
CAR(BgL_carzd2165zd2_103); 
BgL_test1185z00_131 = 
(BgL_auxz00_604==BgL_auxz00_606); } 
if(BgL_test1185z00_131)
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1186z00_132;
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_auxz00_610;
BgL_auxz00_610 = 
CDR(BgL_carzd2165zd2_103); 
BgL_test1186z00_132 = 
NULLP(BgL_auxz00_610); } 
if(BgL_test1186z00_132)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1188z00_133;
BgL_arg1188z00_133 = 
CDR(BgL_clausez00_51); 
BgL_bodyz00_82 = BgL_arg1188z00_133; 
{ /* ./Expand/srfi-0.scm 99 */
obj_t BgL_arg1377z00_200;
{ /* ./Expand/srfi-0.scm 99 */
obj_t BgL_arg1382z00_201;
{ /* ./Expand/srfi-0.scm 99 */
obj_t BgL_arg1385z00_202;obj_t BgL_arg1388z00_203;
BgL_arg1385z00_202 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg1388z00_203 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_elsez00_52, BNIL); 
BgL_arg1382z00_201 = 
MAKE_PAIR(BgL_arg1385z00_202, BgL_arg1388z00_203); } 
BgL_arg1377z00_200 = 
BGl_epairifyz00zztools_miscz00(BgL_arg1382z00_201, BgL_xz00_3); } 
return 
PROCEDURE_ENTRY(BgL_ez00_4)(BgL_ez00_4, BgL_arg1377z00_200, BgL_ez00_4, BEOA);} }  else 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_cdrzd2354zd2_134;
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_auxz00_621;
BgL_auxz00_621 = 
CAR(BgL_clausez00_51); 
BgL_cdrzd2354zd2_134 = 
CDR(BgL_auxz00_621); } 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1191z00_135;
BgL_test1191z00_135 = 
PAIRP(BgL_cdrzd2354zd2_134); 
if(BgL_test1191z00_135)
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1192z00_136;
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_auxz00_626;
BgL_auxz00_626 = 
CDR(BgL_cdrzd2354zd2_134); 
BgL_test1192z00_136 = 
NULLP(BgL_auxz00_626); } 
if(BgL_test1192z00_136)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1195z00_137;obj_t BgL_arg1196z00_138;
BgL_arg1195z00_137 = 
CAR(BgL_cdrzd2354zd2_134); 
BgL_arg1196z00_138 = 
CDR(BgL_clausez00_51); 
BgL_req1z00_84 = BgL_arg1195z00_137; 
BgL_bodyz00_85 = BgL_arg1196z00_138; 
{ /* ./Expand/srfi-0.scm 101 */
obj_t BgL_arg1392z00_204;
{ /* ./Expand/srfi-0.scm 101 */
obj_t BgL_arg1395z00_205;
{ /* ./Expand/srfi-0.scm 101 */
obj_t BgL_arg1398z00_206;obj_t BgL_arg1400z00_207;
BgL_arg1398z00_206 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Expand/srfi-0.scm 102 */
obj_t BgL_arg1403z00_208;obj_t BgL_arg1406z00_209;
{ /* ./Expand/srfi-0.scm 102 */
obj_t BgL_arg1409z00_210;
BgL_arg1409z00_210 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bodyz00_85, BNIL); 
BgL_arg1403z00_208 = 
MAKE_PAIR(BgL_req1z00_84, BgL_arg1409z00_210); } 
BgL_arg1406z00_209 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_elsez00_52, BNIL); 
BgL_arg1400z00_207 = 
MAKE_PAIR(BgL_arg1403z00_208, BgL_arg1406z00_209); } 
BgL_arg1395z00_205 = 
MAKE_PAIR(BgL_arg1398z00_206, BgL_arg1400z00_207); } 
BgL_arg1392z00_204 = 
BGl_epairifyz00zztools_miscz00(BgL_arg1395z00_205, BgL_xz00_3); } 
return 
PROCEDURE_ENTRY(BgL_ez00_4)(BgL_ez00_4, BgL_arg1392z00_204, BgL_ez00_4, BEOA);} }  else 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_cdrzd2384zd2_140;
BgL_cdrzd2384zd2_140 = 
CDR(BgL_cdrzd2354zd2_134); 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1200z00_141;
BgL_test1200z00_141 = 
PAIRP(BgL_cdrzd2384zd2_140); 
if(BgL_test1200z00_141)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1202z00_142;obj_t BgL_arg1203z00_143;obj_t BgL_arg1204z00_144;obj_t BgL_arg1205z00_145;
BgL_arg1202z00_142 = 
CAR(BgL_cdrzd2354zd2_134); 
BgL_arg1203z00_143 = 
CAR(BgL_cdrzd2384zd2_140); 
BgL_arg1204z00_144 = 
CDR(BgL_cdrzd2384zd2_140); 
BgL_arg1205z00_145 = 
CDR(BgL_clausez00_51); 
return 
BGl_expandzd2condzd2expandzd2orzd2zzexpand_srfizd20zd2(BgL_xz00_3, BgL_ez00_4, BgL_arg1202z00_142, BgL_arg1203z00_143, BgL_arg1204z00_144, BgL_arg1205z00_145, BgL_elsez00_52);}  else 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_carzd2403zd2_146;
BgL_carzd2403zd2_146 = 
CAR(BgL_clausez00_51); 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1211z00_147;
BgL_test1211z00_147 = 
SYMBOLP(BgL_carzd2403zd2_146); 
if(BgL_test1211z00_147)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1213z00_148;
BgL_arg1213z00_148 = 
CDR(BgL_clausez00_51); 
{ 
obj_t BgL_bodyz00_654;obj_t BgL_featurez00_653;
BgL_featurez00_653 = BgL_carzd2403zd2_146; 
BgL_bodyz00_654 = BgL_arg1213z00_148; 
BgL_bodyz00_96 = BgL_bodyz00_654; 
BgL_featurez00_95 = BgL_featurez00_653; 
goto BgL_tagzd2145zd2_97;} }  else 
{ /* ./Expand/srfi-0.scm 79 */
goto BgL_tagzd2146zd2_98;} } } } } }  else 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_carzd2428zd2_151;
BgL_carzd2428zd2_151 = 
CAR(BgL_clausez00_51); 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1230z00_152;
BgL_test1230z00_152 = 
SYMBOLP(BgL_carzd2428zd2_151); 
if(BgL_test1230z00_152)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1233z00_153;
BgL_arg1233z00_153 = 
CDR(BgL_clausez00_51); 
{ 
obj_t BgL_bodyz00_660;obj_t BgL_featurez00_659;
BgL_featurez00_659 = BgL_carzd2428zd2_151; 
BgL_bodyz00_660 = BgL_arg1233z00_153; 
BgL_bodyz00_96 = BgL_bodyz00_660; 
BgL_featurez00_95 = BgL_featurez00_659; 
goto BgL_tagzd2145zd2_97;} }  else 
{ /* ./Expand/srfi-0.scm 79 */
goto BgL_tagzd2146zd2_98;} } } } } }  else 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_carzd2457zd2_156;
BgL_carzd2457zd2_156 = 
CAR(BgL_clausez00_51); 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_cdrzd2461zd2_157;
BgL_cdrzd2461zd2_157 = 
CDR(BgL_carzd2457zd2_156); 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1248z00_158;
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_auxz00_665;obj_t BgL_auxz00_663;
BgL_auxz00_665 = 
CNST_TABLE_REF(((long)14)); 
BgL_auxz00_663 = 
CAR(BgL_carzd2457zd2_156); 
BgL_test1248z00_158 = 
(BgL_auxz00_663==BgL_auxz00_665); } 
if(BgL_test1248z00_158)
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1249z00_159;
BgL_test1249z00_159 = 
PAIRP(BgL_cdrzd2461zd2_157); 
if(BgL_test1249z00_159)
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1250z00_160;
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_auxz00_671;
BgL_auxz00_671 = 
CDR(BgL_cdrzd2461zd2_157); 
BgL_test1250z00_160 = 
NULLP(BgL_auxz00_671); } 
if(BgL_test1250z00_160)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1252z00_161;obj_t BgL_arg1256z00_162;
BgL_arg1252z00_161 = 
CAR(BgL_cdrzd2461zd2_157); 
BgL_arg1256z00_162 = 
CDR(BgL_clausez00_51); 
BgL_reqz00_92 = BgL_arg1252z00_161; 
BgL_bodyz00_93 = BgL_arg1256z00_162; 
{ /* ./Expand/srfi-0.scm 109 */
obj_t BgL_arg1415z00_211;
{ /* ./Expand/srfi-0.scm 109 */
obj_t BgL_arg1418z00_212;
{ /* ./Expand/srfi-0.scm 109 */
obj_t BgL_arg1421z00_213;obj_t BgL_arg1422z00_214;
BgL_arg1421z00_213 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Expand/srfi-0.scm 110 */
obj_t BgL_arg1425z00_215;obj_t BgL_arg1426z00_216;
{ /* ./Expand/srfi-0.scm 110 */
obj_t BgL_arg1429z00_217;
{ /* ./Expand/srfi-0.scm 110 */
obj_t BgL_arg1432z00_218;
{ /* ./Expand/srfi-0.scm 110 */
obj_t BgL_arg1436z00_220;obj_t BgL_arg1437z00_221;
BgL_arg1436z00_220 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg1437z00_221 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_elsez00_52, BNIL); 
BgL_arg1432z00_218 = 
MAKE_PAIR(BgL_arg1436z00_220, BgL_arg1437z00_221); } 
BgL_arg1429z00_217 = 
MAKE_PAIR(BgL_arg1432z00_218, BNIL); } 
BgL_arg1425z00_215 = 
MAKE_PAIR(BgL_reqz00_92, BgL_arg1429z00_217); } 
{ /* ./Expand/srfi-0.scm 111 */
obj_t BgL_arg1441z00_222;
{ /* ./Expand/srfi-0.scm 111 */
obj_t BgL_arg1448z00_224;obj_t BgL_arg1450z00_225;
BgL_arg1448z00_224 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg1450z00_225 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bodyz00_93, BNIL); 
BgL_arg1441z00_222 = 
MAKE_PAIR(BgL_arg1448z00_224, BgL_arg1450z00_225); } 
BgL_arg1426z00_216 = 
MAKE_PAIR(BgL_arg1441z00_222, BNIL); } 
BgL_arg1422z00_214 = 
MAKE_PAIR(BgL_arg1425z00_215, BgL_arg1426z00_216); } 
BgL_arg1418z00_212 = 
MAKE_PAIR(BgL_arg1421z00_213, BgL_arg1422z00_214); } 
BgL_arg1415z00_211 = 
BGl_epairifyz00zztools_miscz00(BgL_arg1418z00_212, BgL_xz00_3); } 
return 
PROCEDURE_ENTRY(BgL_ez00_4)(BgL_ez00_4, BgL_arg1415z00_211, BgL_ez00_4, BEOA);} }  else 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1260z00_164;
BgL_test1260z00_164 = 
SYMBOLP(BgL_carzd2457zd2_156); 
if(BgL_test1260z00_164)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1265z00_165;
BgL_arg1265z00_165 = 
CDR(BgL_clausez00_51); 
{ 
obj_t BgL_bodyz00_696;obj_t BgL_featurez00_695;
BgL_featurez00_695 = BgL_carzd2457zd2_156; 
BgL_bodyz00_696 = BgL_arg1265z00_165; 
BgL_bodyz00_96 = BgL_bodyz00_696; 
BgL_featurez00_95 = BgL_featurez00_695; 
goto BgL_tagzd2145zd2_97;} }  else 
{ /* ./Expand/srfi-0.scm 79 */
goto BgL_tagzd2146zd2_98;} } }  else 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1276z00_168;
BgL_test1276z00_168 = 
SYMBOLP(BgL_carzd2457zd2_156); 
if(BgL_test1276z00_168)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1278z00_169;
BgL_arg1278z00_169 = 
CDR(BgL_clausez00_51); 
{ 
obj_t BgL_bodyz00_701;obj_t BgL_featurez00_700;
BgL_featurez00_700 = BgL_carzd2457zd2_156; 
BgL_bodyz00_701 = BgL_arg1278z00_169; 
BgL_bodyz00_96 = BgL_bodyz00_701; 
BgL_featurez00_95 = BgL_featurez00_700; 
goto BgL_tagzd2145zd2_97;} }  else 
{ /* ./Expand/srfi-0.scm 79 */
goto BgL_tagzd2146zd2_98;} } }  else 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1285z00_171;
BgL_test1285z00_171 = 
SYMBOLP(BgL_carzd2457zd2_156); 
if(BgL_test1285z00_171)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1287z00_172;
BgL_arg1287z00_172 = 
CDR(BgL_clausez00_51); 
{ 
obj_t BgL_bodyz00_706;obj_t BgL_featurez00_705;
BgL_featurez00_705 = BgL_carzd2457zd2_156; 
BgL_bodyz00_706 = BgL_arg1287z00_172; 
BgL_bodyz00_96 = BgL_bodyz00_706; 
BgL_featurez00_95 = BgL_featurez00_705; 
goto BgL_tagzd2145zd2_97;} }  else 
{ /* ./Expand/srfi-0.scm 79 */
goto BgL_tagzd2146zd2_98;} } } } } } }  else 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1311z00_180;
BgL_test1311z00_180 = 
SYMBOLP(BgL_carzd2165zd2_103); 
if(BgL_test1311z00_180)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1313z00_181;
BgL_arg1313z00_181 = 
CDR(BgL_clausez00_51); 
{ 
obj_t BgL_bodyz00_711;obj_t BgL_featurez00_710;
BgL_featurez00_710 = BgL_carzd2165zd2_103; 
BgL_bodyz00_711 = BgL_arg1313z00_181; 
BgL_bodyz00_96 = BgL_bodyz00_711; 
BgL_featurez00_95 = BgL_featurez00_710; 
goto BgL_tagzd2145zd2_97;} }  else 
{ /* ./Expand/srfi-0.scm 79 */
goto BgL_tagzd2146zd2_98;} } } } }  else 
{ /* ./Expand/srfi-0.scm 79 */
goto BgL_tagzd2146zd2_98;} } } }  else 
{ /* ./Expand/srfi-0.scm 79 */
BgL_tagzd2103zd2_54:
FAILURE(BGl_string1651z00zzexpand_srfizd20zd2,BGl_string1652z00zzexpand_srfizd20zd2,BgL_xz00_3);} } } }  else 
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_cdrzd2126zd2_64;
BgL_cdrzd2126zd2_64 = 
CDR(BgL_xz00_3); 
{ /* ./Expand/srfi-0.scm 79 */
bool_t BgL_test1095z00_65;
BgL_test1095z00_65 = 
PAIRP(BgL_cdrzd2126zd2_64); 
if(BgL_test1095z00_65)
{ /* ./Expand/srfi-0.scm 79 */
obj_t BgL_arg1097z00_66;obj_t BgL_arg1098z00_67;
BgL_arg1097z00_66 = 
CAR(BgL_cdrzd2126zd2_64); 
BgL_arg1098z00_67 = 
CDR(BgL_cdrzd2126zd2_64); 
{ 
obj_t BgL_elsez00_719;obj_t BgL_clausez00_718;
BgL_clausez00_718 = BgL_arg1097z00_66; 
BgL_elsez00_719 = BgL_arg1098z00_67; 
BgL_elsez00_52 = BgL_elsez00_719; 
BgL_clausez00_51 = BgL_clausez00_718; 
goto BgL_tagzd2102zd2_53;} }  else 
{ /* ./Expand/srfi-0.scm 79 */
goto BgL_tagzd2103zd2_54;} } } }  else 
{ /* ./Expand/srfi-0.scm 79 */
goto BgL_tagzd2103zd2_54;} } } } 
}



/* _expand-cond-expand */
obj_t BGl__expandzd2condzd2expandz00zzexpand_srfizd20zd2(obj_t BgL_envz00_416, obj_t BgL_xz00_417, obj_t BgL_ez00_418)
{ AN_OBJECT;
{ /* ./Expand/srfi-0.scm 78 */
return 
BGl_expandzd2condzd2expandz00zzexpand_srfizd20zd2(BgL_xz00_417, BgL_ez00_418);} 
}



/* expand-cond-expand-and */
obj_t BGl_expandzd2condzd2expandzd2andzd2zzexpand_srfizd20zd2(obj_t BgL_xz00_5, obj_t BgL_ez00_6, obj_t BgL_req1z00_7, obj_t BgL_req2z00_8, obj_t BgL_reqsz00_9, obj_t BgL_bodyz00_10, obj_t BgL_elsez00_11)
{ AN_OBJECT;
{ /* ./Expand/srfi-0.scm 128 */
{ /* ./Expand/srfi-0.scm 129 */
obj_t BgL_arg1477z00_233;
{ /* ./Expand/srfi-0.scm 129 */
obj_t BgL_arg1480z00_234;
{ /* ./Expand/srfi-0.scm 129 */
obj_t BgL_arg1483z00_235;obj_t BgL_arg1484z00_236;
BgL_arg1483z00_235 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Expand/srfi-0.scm 130 */
obj_t BgL_arg1487z00_237;obj_t BgL_arg1488z00_238;
{ /* ./Expand/srfi-0.scm 130 */
obj_t BgL_arg1491z00_239;
{ /* ./Expand/srfi-0.scm 130 */
obj_t BgL_arg1494z00_240;
{ /* ./Expand/srfi-0.scm 130 */
obj_t BgL_arg1500z00_242;obj_t BgL_arg1501z00_243;
BgL_arg1500z00_242 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Expand/srfi-0.scm 131 */
obj_t BgL_arg1504z00_244;obj_t BgL_arg1506z00_245;
{ /* ./Expand/srfi-0.scm 131 */
obj_t BgL_arg1511z00_246;obj_t BgL_arg1513z00_247;
{ /* ./Expand/srfi-0.scm 131 */
obj_t BgL_arg1516z00_248;obj_t BgL_arg1518z00_249;
BgL_arg1516z00_248 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Expand/srfi-0.scm 131 */
obj_t BgL_arg1521z00_250;
BgL_arg1521z00_250 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_reqsz00_9, BNIL); 
BgL_arg1518z00_249 = 
MAKE_PAIR(BgL_req2z00_8, BgL_arg1521z00_250); } 
BgL_arg1511z00_246 = 
MAKE_PAIR(BgL_arg1516z00_248, BgL_arg1518z00_249); } 
BgL_arg1513z00_247 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bodyz00_10, BNIL); 
BgL_arg1504z00_244 = 
MAKE_PAIR(BgL_arg1511z00_246, BgL_arg1513z00_247); } 
BgL_arg1506z00_245 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_elsez00_11, BNIL); 
BgL_arg1501z00_243 = 
MAKE_PAIR(BgL_arg1504z00_244, BgL_arg1506z00_245); } 
BgL_arg1494z00_240 = 
MAKE_PAIR(BgL_arg1500z00_242, BgL_arg1501z00_243); } 
BgL_arg1491z00_239 = 
MAKE_PAIR(BgL_arg1494z00_240, BNIL); } 
BgL_arg1487z00_237 = 
MAKE_PAIR(BgL_req1z00_7, BgL_arg1491z00_239); } 
BgL_arg1488z00_238 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_elsez00_11, BNIL); 
BgL_arg1484z00_236 = 
MAKE_PAIR(BgL_arg1487z00_237, BgL_arg1488z00_238); } 
BgL_arg1480z00_234 = 
MAKE_PAIR(BgL_arg1483z00_235, BgL_arg1484z00_236); } 
BgL_arg1477z00_233 = 
BGl_epairifyz00zztools_miscz00(BgL_arg1480z00_234, BgL_xz00_5); } 
return 
PROCEDURE_ENTRY(BgL_ez00_6)(BgL_ez00_6, BgL_arg1477z00_233, BgL_ez00_6, BEOA);} } 
}



/* expand-cond-expand-or */
obj_t BGl_expandzd2condzd2expandzd2orzd2zzexpand_srfizd20zd2(obj_t BgL_xz00_12, obj_t BgL_ez00_13, obj_t BgL_req1z00_14, obj_t BgL_req2z00_15, obj_t BgL_reqsz00_16, obj_t BgL_bodyz00_17, obj_t BgL_elsez00_18)
{ AN_OBJECT;
{ /* ./Expand/srfi-0.scm 140 */
{ /* ./Expand/srfi-0.scm 141 */
obj_t BgL_bdz00_251;
BgL_bdz00_251 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)15)), BEOA); 
{ /* ./Expand/srfi-0.scm 142 */
obj_t BgL_arg1528z00_252;
{ /* ./Expand/srfi-0.scm 142 */
obj_t BgL_arg1531z00_253;
{ /* ./Expand/srfi-0.scm 142 */
obj_t BgL_arg1534z00_254;obj_t BgL_arg1537z00_255;
BgL_arg1534z00_254 = 
CNST_TABLE_REF(((long)16)); 
{ /* ./Expand/srfi-0.scm 142 */
obj_t BgL_arg1540z00_256;obj_t BgL_arg1541z00_257;
{ /* ./Expand/srfi-0.scm 142 */
obj_t BgL_arg1545z00_258;
{ /* ./Expand/srfi-0.scm 142 */
obj_t BgL_arg1551z00_260;
{ /* ./Expand/srfi-0.scm 142 */
obj_t BgL_arg1554z00_261;
{ /* ./Expand/srfi-0.scm 142 */
obj_t BgL_arg1558z00_263;
{ /* ./Expand/srfi-0.scm 142 */
obj_t BgL_arg1562z00_264;obj_t BgL_arg1564z00_265;
BgL_arg1562z00_264 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1564z00_265 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bodyz00_17, BNIL); 
BgL_arg1558z00_263 = 
MAKE_PAIR(BgL_arg1562z00_264, BgL_arg1564z00_265); } 
BgL_arg1554z00_261 = 
BGl_epairifyz00zztools_miscz00(BgL_arg1558z00_263, BgL_bodyz00_17); } 
BgL_arg1551z00_260 = 
MAKE_PAIR(BgL_arg1554z00_261, BNIL); } 
BgL_arg1545z00_258 = 
MAKE_PAIR(BgL_bdz00_251, BgL_arg1551z00_260); } 
BgL_arg1540z00_256 = 
MAKE_PAIR(BgL_arg1545z00_258, BNIL); } 
{ /* ./Expand/srfi-0.scm 143 */
obj_t BgL_arg1568z00_266;
{ /* ./Expand/srfi-0.scm 143 */
obj_t BgL_arg1572z00_268;obj_t BgL_arg1573z00_269;
BgL_arg1572z00_268 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Expand/srfi-0.scm 144 */
obj_t BgL_arg1576z00_270;obj_t BgL_arg1578z00_271;
{ /* ./Expand/srfi-0.scm 144 */
obj_t BgL_arg1581z00_272;
BgL_arg1581z00_272 = 
MAKE_PAIR(BgL_bdz00_251, BNIL); 
BgL_arg1576z00_270 = 
MAKE_PAIR(BgL_req1z00_14, BgL_arg1581z00_272); } 
{ /* ./Expand/srfi-0.scm 145 */
obj_t BgL_arg1586z00_273;
{ /* ./Expand/srfi-0.scm 145 */
obj_t BgL_arg1590z00_275;obj_t BgL_arg1591z00_276;
BgL_arg1590z00_275 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Expand/srfi-0.scm 146 */
obj_t BgL_arg1594z00_277;
{ /* ./Expand/srfi-0.scm 146 */
obj_t BgL_arg1599z00_279;obj_t BgL_arg1600z00_280;
BgL_arg1599z00_279 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Expand/srfi-0.scm 147 */
obj_t BgL_arg1603z00_281;obj_t BgL_arg1604z00_282;
{ /* ./Expand/srfi-0.scm 147 */
obj_t BgL_arg1607z00_283;obj_t BgL_arg1608z00_284;
{ /* ./Expand/srfi-0.scm 147 */
obj_t BgL_arg1611z00_285;obj_t BgL_arg1613z00_286;
BgL_arg1611z00_285 = 
CNST_TABLE_REF(((long)13)); 
{ /* ./Expand/srfi-0.scm 147 */
obj_t BgL_arg1617z00_287;
BgL_arg1617z00_287 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_reqsz00_16, BNIL); 
BgL_arg1613z00_286 = 
MAKE_PAIR(BgL_req2z00_15, BgL_arg1617z00_287); } 
BgL_arg1607z00_283 = 
MAKE_PAIR(BgL_arg1611z00_285, BgL_arg1613z00_286); } 
BgL_arg1608z00_284 = 
MAKE_PAIR(BgL_bdz00_251, BNIL); 
BgL_arg1603z00_281 = 
MAKE_PAIR(BgL_arg1607z00_283, BgL_arg1608z00_284); } 
BgL_arg1604z00_282 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_elsez00_18, BNIL); 
BgL_arg1600z00_280 = 
MAKE_PAIR(BgL_arg1603z00_281, BgL_arg1604z00_282); } 
BgL_arg1594z00_277 = 
MAKE_PAIR(BgL_arg1599z00_279, BgL_arg1600z00_280); } 
BgL_arg1591z00_276 = 
MAKE_PAIR(BgL_arg1594z00_277, BNIL); } 
BgL_arg1586z00_273 = 
MAKE_PAIR(BgL_arg1590z00_275, BgL_arg1591z00_276); } 
BgL_arg1578z00_271 = 
MAKE_PAIR(BgL_arg1586z00_273, BNIL); } 
BgL_arg1573z00_269 = 
MAKE_PAIR(BgL_arg1576z00_270, BgL_arg1578z00_271); } 
BgL_arg1568z00_266 = 
MAKE_PAIR(BgL_arg1572z00_268, BgL_arg1573z00_269); } 
BgL_arg1541z00_257 = 
MAKE_PAIR(BgL_arg1568z00_266, BNIL); } 
BgL_arg1537z00_255 = 
MAKE_PAIR(BgL_arg1540z00_256, BgL_arg1541z00_257); } 
BgL_arg1531z00_253 = 
MAKE_PAIR(BgL_arg1534z00_254, BgL_arg1537z00_255); } 
BgL_arg1528z00_252 = 
BGl_epairifyz00zztools_miscz00(BgL_arg1531z00_253, BgL_xz00_12); } 
return 
PROCEDURE_ENTRY(BgL_ez00_13)(BgL_ez00_13, BgL_arg1528z00_252, BgL_ez00_13, BEOA);} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzexpand_srfizd20zd2()
{ AN_OBJECT;
{ /* ./Expand/srfi-0.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "expand_srfi-0"); 
return 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)64117), "expand_srfi-0");} 
}



/* eval-init */
obj_t BGl_evalzd2initzd2zzexpand_srfizd20zd2()
{ AN_OBJECT;
{ /* ./Expand/srfi-0.scm 15 */
return 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)17)), BGl_registerzd2srfiz12zd2envz12zzexpand_srfizd20zd2);} 
}

